Это узел загрузчика моделей, который загружает файлы моделей из указанных мест и разбивает их на три основных компонента: основную модель, текстовый кодировщик и кодировщик/декодировщик изображений.

Этот узел автоматически обнаруживает все файлы моделей в папке `ComfyUI/models/checkpoints`, а также дополнительные пути, настроенные в вашем файле `extra_model_paths.yaml`.

1. **Совместимость модели**: Убедитесь, что выбранная модель совместима с вашим рабочим процессом. Различные типы моделей (такие как SD1.5, SDXL, Flux и т.д.) необходимо сочетать с соответствующими сэмплерами и другими узлами
2. **Управление файлами**: Размещайте файлы моделей в папке `ComfyUI/models/checkpoints` или настройте другие пути через extra_model_paths.yaml
3. **Обновление интерфейса**: Если новые файлы моделей добавляются во время работы ComfyUI, необходимо обновить браузер (Ctrl+R), чтобы увидеть новые файлы в выпадающем списке

## Входные параметры

| Имя параметра | Тип данных | Метод ввода | Значение по умолчанию | Диапазон значений | Описание |
|---------------|------------|-------------|----------------------|-------------------|----------|
| название_точки_проверки | STRING | Выпадающий список | null | Все файлы моделей в папке checkpoints | Выберите имя файла контрольной точки модели для загрузки, которое определяет модель ИИ, используемую для последующей генерации изображений |

## Выходные параметры

| Имя выхода | Тип данных | Описание |
|------------|------------|----------|
| МОДЕЛЬ | MODEL | Основная диффузионная модель, используемая для генерации изображений с удалением шума, основной компонент создания изображений ИИ |
| CLIP | CLIP | Модель, используемая для кодирования текстовых подсказок, преобразующая текстовые описания в информацию, которую может понять ИИ |
| VAE | VAE | Модель, используемая для кодирования и декодирования изображений, отвечающая за преобразование между пространством пикселей и латентным пространством |
