`CLIPTextEncodeFlux`は、ComfyUIでFluxアーキテクチャ専用に設計された高度なテキストエンコードノードです。CLIP-LとT5XXLの2つのエンコーダを協調動作させ、キーワードと詳細な自然言語説明の両方を処理することで、Fluxモデルにより正確かつ豊かなテキスト理解力を提供し、テキストから画像生成の品質を向上させます。

このノードは2つのエンコーダの協調メカニズムに基づいています：
1. `clip_l`入力はCLIP-Lエンコーダで処理され、スタイルやテーマなどのキーワード特徴を抽出します（簡潔な説明に最適）。
2. `t5xxl`入力はT5XXLエンコーダで処理され、複雑で詳細な自然言語シーン説明の理解に優れています。
3. 両エンコーダの出力は融合され、`ガイダンス`パラメータと組み合わせて統一された条件付き埋め込み（`条件付け`）を生成し、下流のFluxサンプラーノードで生成内容とテキスト説明の一致度を制御します。

## 入力

| パラメータ名 | データ型 | 入力方法 | デフォルト値 | 範囲 | 機能説明 |
|--------------|----------|----------|--------------|------|----------|
| `clip`       | CLIP     | ノード入力 | なし         | -    | Fluxアーキテクチャ対応のCLIPモデル（CLIP-LとT5XXL両方のエンコーダを含む）である必要があります |
| `clip_l`     | STRING   | テキストボックス | なし     | 最大77トークン | スタイルやテーマなど、簡潔なキーワード説明に適しています |
| `t5xxl`      | STRING   | テキストボックス | なし     | ほぼ無制限 | 複雑なシーンや詳細を表現する自然言語説明に適しています |
| `ガイダンス` | FLOAT    | スライダー | 3.5         | 0.0 - 100.0 | テキスト条件が生成プロセスに与える影響度を制御します。値が大きいほどテキストへの忠実度が高まります |

## 出力

| 出力名     | データ型      | 説明 |
|------------|--------------|------|
| `条件付け` | CONDITIONING | 両エンコーダの埋め込みとガイダンスパラメータを含み、条件付き画像生成に使用されます |

## 使用例

### プロンプト例

- **clip_l入力**（キーワード型）：
  - 構造化された簡潔なキーワードを組み合わせて使用
  - 例：`masterpiece, best quality, portrait, oil painting, dramatic lighting`
  - スタイル、品質、主題などに注目

- **t5xxl入力**（自然言語説明）：
  - 完全で流暢なシーン説明を使用
  - 例：`A highly detailed portrait in oil painting style, featuring dramatic chiaroscuro lighting that creates deep shadows and bright highlights, emphasizing the subject's features with renaissance-inspired composition.`
  - シーンの詳細、空間関係、光の効果などに注目

### 注意事項

1. Fluxアーキテクチャ対応のCLIPモデルを使用してください
2. `clip_l`と`t5xxl`の両方を入力することで、2つのエンコーダの利点を活かせます
3. `clip_l`は77トークンの制限があります
4. 生成結果に応じて`ガイダンス`パラメータを調整してください
