`CLIP 텍스트 인코딩 (FLUX)`는 ComfyUI에서 Flux 아키텍처를 위해 특별히 설계된 고급 텍스트 인코딩 노드입니다. CLIP-L과 T5XXL 두 개의 인코더를 협력적으로 사용하여 키워드와 상세한 자연어 설명을 모두 처리할 수 있으며, Flux 모델에 더 정확하고 풍부한 텍스트 이해력을 제공하여 텍스트 기반 이미지 생성 품질을 향상시킵니다.

이 노드는 두 인코더의 협업 메커니즘을 기반으로 합니다:
1. `clip_l` 입력은 CLIP-L 인코더에서 처리되어 스타일, 주제 등 키워드 특성을 추출합니다(간결한 설명에 적합).
2. `t5xxl` 입력은 T5XXL 인코더에서 처리되어 복잡하고 상세한 자연어 장면 설명을 이해하는 데 뛰어납니다.
3. 두 인코더의 출력은 결합되어 `가이던스` 파라미터와 함께 통합 조건 임베딩(`조건`)을 생성하며, 하위 Flux 샘플러 노드에서 생성 결과와 텍스트 설명의 일치도를 제어합니다.

## 입력

| 파라미터 이름 | 데이터 유형 | 입력 방식 | 기본값 | 범위 | 설명 |
|--------------|-------------|----------|--------|------|------|
| `clip`       | CLIP        | 노드 입력 | 없음   | -    | Flux 아키텍처를 지원하는 CLIP 모델(두 인코더 CLIP-L, T5XXL 포함)이어야 함 |
| `clip_l`     | STRING      | 텍스트 박스 | 없음  | 최대 77토큰 | 스타일, 주제 등 간결한 키워드 설명에 적합 |
| `t5xxl`      | STRING      | 텍스트 박스 | 없음  | 사실상 무제한 | 복잡한 장면, 세부 묘사 등 자연어 설명에 적합 |
| `가이던스`   | FLOAT       | 슬라이더   | 3.5   | 0.0 - 100.0 | 텍스트 조건이 생성 과정에 미치는 영향도를 제어, 값이 높을수록 텍스트에 더 엄격하게 따름 |

## 출력

| 출력 이름 | 데이터 유형 | 설명 |
|-----------|-------------|------|
| `조건`    | CONDITIONING | 두 인코더 임베딩과 가이던스 파라미터를 포함, 조건부 이미지 생성에 사용 |

## 사용 예시

### 프롬프트 예시

- **clip_l 입력**(키워드 스타일):
  - 구조화된 간결한 키워드 조합 사용
  - 예시: `masterpiece, best quality, portrait, oil painting, dramatic lighting`
  - 스타일, 품질, 주제 등 핵심 요소에 집중

- **t5xxl 입력**(자연어 설명):
  - 완전하고 자연스러운 장면 설명 사용
  - 예시: `A highly detailed portrait in oil painting style, featuring dramatic chiaroscuro lighting that creates deep shadows and bright highlights, emphasizing the subject's features with renaissance-inspired composition.`
  - 장면 세부, 공간 관계, 조명 효과 등에 집중

### 참고사항

1. Flux 아키텍처 호환 CLIP 모델을 사용하세요
2. `clip_l`과 `t5xxl` 모두 입력하면 두 인코더의 장점을 극대화할 수 있습니다
3. `clip_l`은 77토큰 제한이 있습니다
4. 생성 결과에 따라 `가이던스` 파라미터를 조정하세요
