이 노드는 SDXL Refiner 모델을 위해 특별히 설계되었으며, 미적 점수와 차원 정보를 통합하여 텍스트 프롬프트를 조건 정보로 변환함으로써 생성 작업의 조건을 향상시키고 최종 정제 효과를 개선합니다. 전문 아트 디렉터처럼 작동하여 창의적 의도를 전달할 뿐만 아니라 정확한 미적 기준과 사양 요구사항을 작업에 주입합니다.

## SDXL Refiner 소개

SDXL Refiner는 SDXL 기본 모델을 기반으로 이미지 세부 사항과 품질 향상에 중점을 둔 특수 정제 모델입니다. 이 과정은 아트 리터처와 함께 작업하는 것과 같습니다:

1. 먼저, 기본 모델에 의해 생성된 예비 이미지나 텍스트 설명을 받습니다
2. 그 다음, 정확한 미적 점수 매기기와 차원 매개변수를 통해 정제 과정을 안내합니다
3. 마지막으로, 전체적인 품질을 향상시키기 위해 고주파 이미지 세부 사항 처리에 집중합니다

Refiner는 두 가지 방식으로 사용될 수 있습니다:
- 기본 모델에 의해 생성된 이미지의 후처리를 위한 독립적인 정제 단계로
- 생성의 저노이즈 단계에서 처리를 인계받는 전문가 통합 시스템의 일부로

## 입력

| 매개변수 이름 | 데이터 유형 | 입력 유형 | 기본값 | 값 범위 | 설명 |
|--------------|------------|-----------|--------|---------|------|
| `clip` | CLIP | Required | - | - | 텍스트 토큰화와 인코딩에 사용되는 CLIP 모델 인스턴스로, 텍스트를 모델이 이해할 수 있는 형식으로 변환하는 핵심 구성 요소 |
| `ascore` | FLOAT | Optional | 6.0 | 0.0-1000.0 | 생성된 이미지의 시각적 품질과 미적 요소를 제어합니다. 작품의 품질 기준을 설정하는 것과 유사합니다:<br/>- 높은 점수(7.5-8.5): 더 정교하고 세부적인 효과를 추구<br/>- 중간 점수(6.0-7.0): 균형 잡힌 품질 제어<br/>- 낮은 점수(2.0-3.0): 부정적 프롬프트에 적합 |
| `너비` | INT | Required | 1024 | 64-16384 | 출력 이미지의 너비(픽셀)를 지정합니다. 8의 배수여야 합니다. SDXL은 총 픽셀 수가 1024×1024(약 1M 픽셀)에 가까울 때 가장 잘 작동합니다 |
| `높이` | INT | Required | 1024 | 64-16384 | 출력 이미지의 높이(픽셀)를 지정합니다. 8의 배수여야 합니다. SDXL은 총 픽셀 수가 1024×1024(약 1M 픽셀)에 가까울 때 가장 잘 작동합니다 |
| `text` | STRING | Required | - | - | 텍스트 프롬프트 설명으로, 여러 줄 입력과 동적 프롬프트 구문을 지원합니다. Refiner에서 텍스트 프롬프트는 원하는 시각적 품질과 세부 특성을 설명하는 데 더 중점을 두어야 합니다 |

## 출력

| 출력 이름 | 데이터 유형 | 설명 |
|-----------|------------|------|
| `조건` | CONDITIONING | 텍스트 의미론, 미적 기준, 차원 정보의 통합 인코딩을 포함하는 정제된 조건부 출력으로, SDXL Refiner 모델의 정확한 이미지 정제를 안내하기 위해 특별히 설계되었습니다 |

## 참고 사항

1. 이 노드는 SDXL Refiner 모델을 위해 특별히 최적화되었으며 일반 CLIPTextEncode 노드와는 다릅니다
2. 미적 점수 7.5가 기준선으로 권장되며, 이는 SDXL 훈련에서 사용되는 표준 설정입니다
3. 모든 차원 매개변수는 8의 배수여야 하며, 총 픽셀 수가 1024×1024(약 1M 픽셀)에 가까운 것이 권장됩니다
4. Refiner 모델은 이미지 세부 사항과 품질 향상에 중점을 두므로, 텍스트 프롬프트는 장면 내용보다는 원하는 시각적 효과를 강조해야 합니다
5. 실제 사용에서 Refiner는 일반적으로 생성의 후반 단계(약 마지막 20% 단계)에서 사용되며, 세부 사항 최적화에 중점을 둡니다
