Этот узел специально разработан для модели SDXL Refiner для преобразования текстовых подсказок в информацию о кондиционировании путем включения эстетических оценок и размерной информации для улучшения условий генерации, тем самым улучшая конечный эффект уточнения. Он действует как профессиональный арт-директор, не только передавая ваш творческий замысел, но и внедряя точные эстетические стандарты и требования к спецификации в работу.

## О SDXL Refiner

SDXL Refiner - это специализированная модель уточнения, которая фокусируется на улучшении деталей и качества изображения на основе базовой модели SDXL. Этот процесс похож на работу с художником-ретушером:

1. Сначала он получает предварительные изображения или текстовые описания, сгенерированные базовой моделью
2. Затем направляет процесс уточнения через точную эстетическую оценку и размерные параметры
3. Наконец, фокусируется на обработке высокочастотных деталей изображения для улучшения общего качества

Refiner может использоваться двумя способами:
- Как отдельный этап уточнения для постобработки изображений, сгенерированных базовой моделью
- Как часть экспертной интеграционной системы, принимающей на себя обработку во время фазы низкого шума генерации

## Входы

| Имя параметра | Тип данных | Тип ввода | Значение по умолчанию | Диапазон значений | Описание |
|---------------|------------|------------|---------------------|------------------|-----------|
| `clip` | CLIP | Required | - | - | Экземпляр модели CLIP, используемый для токенизации и кодирования текста, основной компонент для преобразования текста в понятный модели формат |
| `ascore` | FLOAT | Optional | 6.0 | 0.0-1000.0 | Контролирует визуальное качество и эстетику генерируемых изображений, аналогично установке стандартов качества для произведений искусства:<br/>- Высокие оценки(7.5-8.5): Стремится к более утонченным, богатым деталями эффектам<br/>- Средние оценки(6.0-7.0): Сбалансированный контроль качества<br/>- Низкие оценки(2.0-3.0): Подходит для негативных подсказок |
| `ширина` | INT | Required | 1024 | 64-16384 | Указывает ширину выходного изображения (в пикселях), должна быть кратна 8. SDXL работает лучше всего, когда общее количество пикселей близко к 1024×1024 (около 1M пикселей) |
| `высота` | INT | Required | 1024 | 64-16384 | Указывает высоту выходного изображения (в пикселях), должна быть кратна 8. SDXL работает лучше всего, когда общее количество пикселей близко к 1024×1024 (около 1M пикселей) |
| `text` | STRING | Required | - | - | Описание текстовой подсказки, поддерживает многострочный ввод и синтаксис динамических подсказок. В Refiner текстовые подсказки должны больше фокусироваться на описании желаемого визуального качества и характеристик деталей |

## Выходы

| Имя выхода | Тип данных | Описание |
|------------|------------|-----------|
| `КОНДИЦИОНИРОВАНИЕ` | CONDITIONING | Уточненный условный выход, содержащий интегрированное кодирование семантики текста, эстетических стандартов и размерной информации, специально для руководства моделью SDXL Refiner в точном уточнении изображения |

## Примечания

1. Этот узел специально оптимизирован для модели SDXL Refiner и отличается от обычных узлов CLIPTextEncode
2. Эстетическая оценка 7.5 рекомендуется как базовая, это стандартная настройка, используемая в обучении SDXL
3. Все размерные параметры должны быть кратны 8, и рекомендуется общее количество пикселей близкое к 1024×1024 (около 1M пикселей)
4. Модель Refiner фокусируется на улучшении деталей и качества изображения, поэтому текстовые подсказки должны подчеркивать желаемые визуальные эффекты, а не содержание сцены
5. На практике Refiner обычно используется на поздних этапах генерации (примерно последние 20% шагов), фокусируясь на оптимизации деталей
