此节点专门为 SDXL Refiner 模型设计，用于将文本提示转换为条件信息，通过纳入审美得分和维度信息来增强生成任务的条件，从而提升最终的精炼效果。它就像是一位专业的艺术指导，不仅传达您的创作意图，还能为作品注入精确的美学标准和规格要求。

## 工作原理

SDXL Refiner 是一个专门的精炼模型，它在 SDXL 基础模型的基础上，专注于提升图像的细节和质量。这个过程就像是一位艺术修饰师：

1. 首先，它接收基础模型生成的初步图像或文本描述
2. 然后，通过精确的美学评分和尺寸参数来指导精炼过程
3. 最后，它专注于处理图像的高频细节，提升整体质量

Refiner 可以通过两种方式使用：
- 作为独立的精炼步骤，对基础模型生成的图像进行后期处理
- 作为专家集成系统的一部分，在生成过程的低噪声阶段接管处理

## 输入

| 参数名称 | 数据类型 | 输入方式 | 默认值 | 取值范围 | 功能说明 |
|----------|----------|----------|---------|----------|----------|
| `CLIP` | CLIP | 必需 | - | - | 用于文本标记化和编码的 CLIP 模型实例，是将文本转换为模型可理解格式的核心组件 |
| `美学分数` | FLOAT | 可选 | 6.0 | 0.0-1000.0 | 控制生成图像的视觉质量和美观程度，类似于为艺术作品设定质量标准：<br/>- 高分值(7.5-8.5)：追求更精美、细节丰富的效果<br/>- 中等分值(6.0-7.0)：平衡的质量控制<br/>- 低分值(2.0-3.0)：适用于负面提示 |
| `宽度` | INT | 必需 | 1024 | 64-16384 | 指定输出图像的宽度（像素），需要是 8 的倍数。SDXL 在总像素量接近 1024×1024 (约100万像素) 时效果最佳 |
| `高度` | INT | 必需 | 1024 | 64-16384 | 指定输出图像的高度（像素），需要是 8 的倍数。SDXL 在总像素量接近 1024×1024 (约100万像素) 时效果最佳 |
| `text` | STRING | 必需 | - | - | 文本提示描述，支持多行输入和动态提示语法。在 Refiner 中，文本提示应更注重描述期望的视觉质量和细节特征 |

## 输出

| 输出名称 | 数据类型 | 说明 |
|----------|----------|------|
| `条件` | CONDITIONING | 经过细化的条件输出，包含了文本语义、美学标准和尺寸信息的综合编码，专门用于指导 SDXL Refiner 模型进行精确的图像精炼 |

## 注意事项

1. 该节点专门为 SDXL Refiner 模型优化，与普通的 CLIPTextEncode 节点有所不同
2. 美学分数建议使用 7.5 作为基准值，这是 SDXL 训练时的标准设置
3. 所有尺寸参数必须是 8 的倍数，且建议总像素量接近 1024×1024（约100万像素）
4. Refiner 模型专注于提升图像细节和质量，因此文本提示应该更注重描述期望的视觉效果，而不是场景内容
5. 在实际使用中，Refiner 通常用于生成过程的后期阶段（约最后20%的步骤），专注于细节优化
