CheckpointLoader 노드는 고급 로딩 작업을 위해 설계되었으며, 특히 모델 체크포인트와 그 구성을 함께 로드하는 데 사용됩니다. 이는 생성 모델을 초기화하고 실행하는 데 필요한 모델 구성 요소를 검색하는 데 도움을 주며, 지정된 디렉토리에서 구성 및 체크포인트를 포함합니다.

## 입력

| 매개변수      | 데이터 유형   | 설명                                                                                                                                |
| ------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| `config_name` | COMBO[STRING] | 사용할 구성 파일의 이름을 지정합니다. 이는 모델의 매개변수와 설정을 결정하는 데 중요하며, 모델의 동작과 성능에 영향을 미칩니다.     |
| `ckpt_name`   | COMBO[STRING] | 로드할 체크포인트 파일의 이름을 나타냅니다. 이는 초기화된 모델의 상태에 직접적인 영향을 미치며, 초기 가중치와 편향에 영향을 줍니다. |

## 출력

| 매개변수 | 데이터 유형 | 설명                                                                              |
| -------- | ----------- | --------------------------------------------------------------------------------- |
| `model`  | MODEL       | 체크포인트에서 로드된 주요 모델을 나타내며, 추가 작업이나 추론을 위해 준비됩니다. |
| `clip`   | CLIP        | 요청 시 체크포인트에서 로드된 CLIP 모델 구성 요소를 제공합니다.                   |
| `vae`    | VAE         | 요청 시 체크포인트에서 로드된 VAE 모델 구성 요소를 제공합니다.                    |
