DiffusersLoader 노드는 diffusers 라이브러리에서 모델을 로드하도록 설계되었으며, 제공된 모델 경로에 따라 UNet, CLIP, VAE 모델을 로드하는 작업을 처리합니다. 이러한 모델을 ComfyUI 프레임워크에 통합하여 텍스트-이미지 생성, 이미지 조작 등과 같은 고급 기능을 가능하게 합니다.

## 입력

| 매개변수     | 데이터 유형   | 설명                                                                                                                             |
| ------------ | ------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| `model_path` | COMBO[STRING] | 로드할 모델의 경로를 지정합니다. 이 경로는 후속 작업에 사용될 모델을 결정하는 데 중요하며, 노드의 출력과 기능에 영향을 미칩니다. |

## 출력

| 매개변수 | 데이터 유형 | 설명                                                                                                                    |
| -------- | ----------- | ----------------------------------------------------------------------------------------------------------------------- |
| `model`  | MODEL       | 출력 튜플의 일부로 로드된 UNet 모델입니다. 이 모델은 ComfyUI 프레임워크 내에서 이미지 합성 및 조작 작업에 필수적입니다. |
| `clip`   | CLIP        | 요청 시 출력 튜플에 포함된 로드된 CLIP 모델입니다. 이 모델은 고급 텍스트 및 이미지 이해와 조작 기능을 제공합니다.       |
| `vae`    | VAE         | 요청 시 출력 튜플에 포함된 로드된 VAE 모델입니다. 이 모델은 잠재 공간 조작 및 이미지 생성 작업에 필수적입니다.          |
