`ExponentialScheduler`ノードは、拡散サンプリングプロセスのために指数スケジュールに従ったシグマ値のシーケンスを生成するように設計されています。拡散プロセスの各ステップで適用されるノイズレベルを制御するためのカスタマイズ可能なアプローチを提供し、サンプリングの挙動を微調整することができます。

## 入力

| パラメータ   | Data Type | 説明                                                                                   |
|-------------|-------------|---------------------------------------------------------------------------------------------|
| `steps`     | INT         | 拡散プロセスのステップ数を指定します。生成されるシグマシーケンスの長さに影響を与え、ノイズ適用の粒度を決定します。 |
| `sigma_max` | FLOAT       | 最大シグマ値を定義し、拡散プロセスにおけるノイズ強度の上限を設定します。適用されるノイズレベルの範囲を決定する上で重要な役割を果たします。 |
| `sigma_min` | FLOAT       | 最小シグマ値を設定し、ノイズ強度の下限を確立します。このパラメータはノイズ適用の開始点を微調整するのに役立ちます。 |

## 出力

| パラメータ | Data Type | 説明                                                                                   |
|-----------|-------------|---------------------------------------------------------------------------------------------|
| `sigmas`  | SIGMAS      | 指数スケジュールに従って生成されたシグマ値のシーケンスです。これらの値は、拡散プロセスの各ステップでノイズレベルを制御するために使用されます。 |
