``ExponentialScheduler`` 노드는 확산 샘플링 과정에서 지수 스케줄을 따르는 시그마 값의 시퀀스를 생성하도록 설계되었습니다. 이는 확산 과정의 각 단계에서 적용되는 노이즈 수준을 제어할 수 있는 맞춤형 접근 방식을 제공하여 샘플링 동작을 세밀하게 조정할 수 있게 합니다.

## 입력

| 매개변수    | 데이터 유형 | 설명                                                                                                                                            |
| ----------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `steps`     | INT         | 확산 과정의 단계 수를 지정합니다. 이는 생성된 시그마 시퀀스의 길이에 영향을 미치며, 노이즈 적용의 세분화에 영향을 줍니다.                       |
| `sigma_max` | FLOAT       | 최대 시그마 값을 정의하여 확산 과정에서 노이즈 강도의 상한선을 설정합니다. 이는 적용되는 노이즈 수준의 범위를 결정하는 데 중요한 역할을 합니다. |
| `sigma_min` | FLOAT       | 최소 시그마 값을 설정하여 노이즈 강도의 하한선을 정합니다. 이 매개변수는 노이즈 적용의 시작점을 세밀하게 조정하는 데 도움을 줍니다.             |

## 출력

| 매개변수 | 데이터 유형 | 설명                                                                                                                        |
| -------- | ----------- | --------------------------------------------------------------------------------------------------------------------------- |
| `sigmas` | SIGMAS      | 지수 스케줄에 따라 생성된 시그마 값의 시퀀스입니다. 이 값들은 확산 과정의 각 단계에서 노이즈 수준을 제어하는 데 사용됩니다. | N |
