`GLIGENTextBoxApply`ノードは、テキストボックスのパラメータを適用し、CLIPモデルを使用してエンコードすることにより、生成モデルの入力にテキストベースのコンディショニングを統合するように設計されています。このプロセスは、空間的およびテキスト情報でコンディショニングを豊かにし、より正確でコンテキストに基づいた生成を促進します。

## 入力

| パラメータ            | Comfy dtype        | 説明 |
|----------------------|--------------------|-------------|
| `conditioning_to`     | `CONDITIONING`     | テキストボックスのパラメータとエンコードされたテキスト情報が追加される初期のコンディショニング入力を指定します。新しいコンディショニングデータを統合することで、最終出力を決定する上で重要な役割を果たします。 |
| `clip`               | `CLIP`             | 提供されたテキストを生成モデルで利用可能な形式にエンコードするために使用されるCLIPモデルです。テキスト情報を互換性のあるコンディショニング形式に変換するために不可欠です。 |
| `gligen_textbox_model` | `GLIGEN`         | テキストボックスを生成するために使用される特定のGLIGENモデル構成を表します。テキストボックスが希望の仕様に従って生成されることを保証するために重要です。 |
| `text`               | `STRING`           | エンコードされ、コンディショニングに統合されるテキストコンテンツです。生成モデルを導く意味情報を提供します。 |
| `width`              | `INT`              | テキストボックスの幅（ピクセル単位）です。生成された画像内のテキストボックスの空間的な次元を定義します。 |
| `height`             | `INT`              | テキストボックスの高さ（ピクセル単位）です。幅と同様に、生成された画像内のテキストボックスの空間的な次元を定義します。 |
| `x`                  | `INT`              | 生成された画像内のテキストボックスの左上隅のx座標です。テキストボックスの水平位置を指定します。 |
| `y`                  | `INT`              | 生成された画像内のテキストボックスの左上隅のy座標です。テキストボックスの垂直位置を指定します。 |

## 出力

| パラメータ            | Comfy dtype        | 説明 |
|----------------------|--------------------|-------------|
| `conditioning`        | `CONDITIONING`     | 元のコンディショニングデータに新たに追加されたテキストボックスのパラメータとエンコードされたテキスト情報を含む強化されたコンディショニング出力です。コンテキストに基づいた出力を生成するために生成モデルを導くために使用されます。 |
