`GLIGENTextBoxApply` 노드는 텍스트 기반 조건을 생성 모델의 입력에 통합하도록 설계되었습니다. 특히 텍스트 박스 매개변수를 적용하고 CLIP 모델을 사용하여 이를 인코딩합니다. 이 과정은 공간적 및 텍스트 정보를 통해 조건을 풍부하게 하여 보다 정밀하고 맥락을 이해하는 생성이 가능하게 합니다.

## 입력

| 매개변수             | Comfy dtype        | 설명 |
|----------------------|--------------------|--------------------|
| `conditioning_to`    | `CONDITIONING`     | 텍스트 박스 매개변수와 인코딩된 텍스트 정보가 추가될 초기 조건 입력을 지정합니다. 새로운 조건 데이터를 통합하여 최종 출력을 결정하는 데 중요한 역할을 합니다. |
| `clip`               | `CLIP`             | 제공된 텍스트를 생성 모델이 활용할 수 있는 형식으로 인코딩하는 데 사용되는 CLIP 모델입니다. 텍스트 정보를 호환 가능한 조건 형식으로 변환하는 데 필수적입니다. |
| `gligen_textbox_model` | `GLIGEN`         | 텍스트 박스를 생성하는 데 사용될 특정 GLIGEN 모델 구성을 나타냅니다. 텍스트 박스가 원하는 사양에 따라 생성되도록 보장하는 데 중요합니다. |
| `text`               | `STRING`           | 인코딩되어 조건에 통합될 텍스트 내용입니다. 생성 모델을 안내하는 의미 정보를 제공합니다. |
| `width`              | `INT`              | 텍스트 박스의 너비(픽셀)입니다. 생성된 이미지 내에서 텍스트 박스의 공간적 차원을 정의합니다. |
| `height`             | `INT`              | 텍스트 박스의 높이(픽셀)입니다. 너비와 유사하게, 생성된 이미지 내에서 텍스트 박스의 공간적 차원을 정의합니다. |
| `x`                  | `INT`              | 생성된 이미지 내에서 텍스트 박스의 왼쪽 상단 모서리의 x좌표입니다. 텍스트 박스의 수평 위치를 지정합니다. |
| `y`                  | `INT`              | 생성된 이미지 내에서 텍스트 박스의 왼쪽 상단 모서리의 y좌표입니다. 텍스트 박스의 수직 위치를 지정합니다. |

## 출력

| 매개변수             | Comfy dtype        | 설명 |
|----------------------|--------------------|--------------------|
| `conditioning`       | `CONDITIONING`     | 원래의 조건 데이터와 새로 추가된 텍스트 박스 매개변수 및 인코딩된 텍스트 정보를 포함하는 풍부한 조건 출력입니다. 맥락을 이해하는 출력을 생성 모델이 생성하도록 안내하는 데 사용됩니다. |
