
`GLIGENTextBoxApply` 节点旨在将基于文本的条件信息整合到生成模型的输入中，具体做法是应用文本框参数并使用 CLIP 模型对其进行编码。这个过程通过空间和文本信息丰富了条件信息，从而促进了更精确和上下文感知的生成。

## 输入

| 参数名称             | 数据类型           | 作用                                                         |
|----------------------|------------------|------------------------------------------------------------|
| `conditioning_to`    | `CONDITIONING`   | 指定初始条件输入，文本框参数和编码后的文本信息将附加于此。它通过整合新的条件数据，在确定最终输出中起着关键作用。 |
| `clip`               | `CLIP`            | 用于将提供的文本编码为生成模型可以使用的格式的 CLIP 模型。它对于将文本信息转换为兼容的条件格式至关重要。 |
| `gligen_textbox_model` | `GLIGEN`        | 表示要用于生成文本框的特定 GLIGEN 模型配置。它对于确保根据所需的规格生成文本框至关重要。 |
| `text`               | `STRING`          | 要编码并整合到条件中的文本内容。它提供了指导生成模型的语义信息。 |
| `width`              | `INT`             | 文本框的宽度，以像素为单位。它定义了文本框在生成图像中的空间尺寸。 |
| `height`             | `INT`             | 文本框的高度，以像素为单位。与宽度类似，它定义了文本框在生成图像中的空间尺寸。 |
| `x`                  | `INT`             | 文本框在生成图像内左上角的 x 坐标。它指定了文本框的水平位置。 |
| `y`                  | `INT`             | 文本框在生成图像内左上角的 y 坐标。它指定了文本框的垂直位置。 |

## 输出

| 参数名称             | 数据类型           | 作用                                                         |
|----------------------|------------------|------------------------------------------------------------|
| `conditioning`       | `CONDITIONING`   | 丰富的条件输出，包括原始条件数据以及新附加的文本框参数和编码后的文本信息。它用于指导生成模型产生上下文感知的输出。 |
S
