이 노드는 `ComfyUI/models/hypernetworks` 폴더에 있는 모델을 감지하며, 또한 extra_model_paths.yaml 파일에서 설정한 추가 경로의 모델도 읽어옵니다. 때때로 **ComfyUI 인터페이스를 새로 고침**해야 해당 폴더의 모델 파일을 읽을 수 있습니다.

HypernetworkLoader 노드는 주어진 모델의 기능을 향상시키거나 수정하기 위해 하이퍼네트워크를 적용하도록 설계되었습니다. 지정된 하이퍼네트워크를 로드하여 모델에 적용함으로써, 강도 매개변수에 따라 모델의 동작이나 성능을 잠재적으로 변경할 수 있습니다. 이 과정은 모델의 아키텍처나 매개변수를 동적으로 조정할 수 있게 하여, 보다 유연하고 적응적인 AI 시스템을 가능하게 합니다.

## 입력

| 필드                | Comfy dtype     | 설명                                                                                            |
| ------------------- | --------------- | ----------------------------------------------------------------------------------------------- |
| `model`             | `MODEL`         | 하이퍼네트워크가 적용될 기본 모델로, 향상되거나 수정될 아키텍처를 결정합니다.                   |
| `hypernetwork_name` | `COMBO[STRING]` | 모델에 로드 및 적용될 하이퍼네트워크의 이름으로, 모델의 수정된 동작이나 성능에 영향을 미칩니다. |
| `strength`          | `FLOAT`         | 모델에 대한 하이퍼네트워크의 효과 강도를 조정하는 스칼라로, 변경 사항의 미세 조정을 허용합니다. |

## 출력

| 필드    | 데이터 유형 | 설명                                                                                             |
| ------- | ----------- | ------------------------------------------------------------------------------------------------ |
| `model` | `MODEL`     | 하이퍼네트워크가 적용된 후의 수정된 모델로, 원래 모델에 대한 하이퍼네트워크의 영향을 보여줍니다. |
