该节点会检测位于 `ComfyUI/models/hypernetworks` 文件夹下的模型，同时也会读取你在 extra_model_paths.yaml 文件中配置的额外路径的模型，有时你可能需要 **刷新 ComfyUI 界面** 才能让它读取到对应文件夹下的模型文件

超网络加载节点旨在通过应用超网络来增强或修改给定模型的能力。它加载一个指定的超网络并将其应用于模型，根据强度参数可能改变模型的行为或性能。这个过程允许对模型的架构或参数进行动态调整，从而实现更灵活和适应性的人工智能系统。

## 输入

| 参数名称 | 数据类型 | 作用 |
| --- | --- | --- |
| `model` | MODEL | 应用超网络的模型。此参数至关重要，因为它决定了将被超网络增强或修改的基础架构。 |
| `hypernetwork_name` | COMBO[STRING] | 要加载并应用于模型的超网络的名称。此参数指定使用哪个超网络，影响模型的修改后的行为或性能。 |
| `strength` | FLOAT | 一个标量，用于调整超网络对模型效果的强度。它允许微调超网络如何显著地改变模型的行为或性能。 |

## 输出

| 参数名称 | 数据类型 | 作用 |
| --- | --- | --- |
| `model` | MODEL | 应用超网络后的修改模型。此输出反映了对原始模型所做的更改，展示了超网络的影响。 |

---
