このノードは、`ComfyUI/models/checkpoints` フォルダー内のモデルを検出し、また、extra_model_paths.yaml ファイルで設定された追加パスのモデルも読み込みます。場合によっては、**ComfyUIのインターフェースを更新する**必要があるかもしれませんので、対応するフォルダー内のモデルファイルを読み込むことができます。

このノードは、ビデオ生成ワークフロー内で画像ベースのモデル専用のチェックポイントをロードすることに特化しています。指定されたチェックポイントから必要なコンポーネントを効率的に取得し、モデルの画像関連の側面に焦点を当てて構成します。

## 入力

| フィールド   | Data Type | 説明                                                                       |
|------------|-------------|-----------------------------------------------------------------------------------|
| `ckpt_name`| COMBO[STRING] | ロードするチェックポイントの名前を指定します。これは、事前定義されたリストから正しいチェックポイントファイルを識別し取得するために重要です。 |

## 出力

| フィールド  | Data Type | 説明                                                                                   |
|-----------|-------------|-----------------------------------------------------------------------------------------------|
| `model`   | MODEL     | チェックポイントからロードされたメインモデルを返し、ビデオ生成コンテキスト内での画像処理に構成されています。 |
| `clip_vision` | `CLIP_VISION` | チェックポイントからのCLIPビジョンコンポーネントを提供し、画像理解と特徴抽出に特化しています。 |
| `vae`     | VAE       | 画像操作と生成タスクに不可欠なVariational Autoencoder（VAE）コンポーネントを提供します。 |
