
LatentComposite 노드는 두 개의 잠재 표현을 하나의 출력으로 혼합하거나 병합하도록 설계되었습니다. 이 과정은 입력 잠재 표현의 특성을 제어된 방식으로 결합하여 합성 이미지나 기능을 생성하는 데 필수적입니다.

## 입력

| 매개변수       | 데이터 유형 | 설명                                                                                                                                                           |
| -------------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `samples_to`   | `LATENT`    | 'samples_from'이 합성될 'samples_to' 잠재 표현입니다. 합성 작업의 기본 레이어로 작용합니다.                                                                    |
| `samples_from` | `LATENT`    | 'samples_to'에 합성될 'samples_from' 잠재 표현입니다. 최종 합성 출력에 그 특성이나 특징을 기여합니다.                                                          |
| `x`            | `INT`       | 'samples_from' 잠재 표현이 'samples_to'에 배치될 x-좌표(수평 위치)입니다. 합성의 수평 정렬을 결정합니다.                                                       |
| `y`            | `INT`       | 'samples_from' 잠재 표현이 'samples_to'에 배치될 y-좌표(수직 위치)입니다. 합성의 수직 정렬을 결정합니다.                                                       |
| `feather`      | `INT`       | 'samples_from' 잠재 표현이 합성 전에 'samples_to'에 맞게 크기 조정되어야 하는지를 나타내는 불리언입니다. 이는 합성 결과의 크기와 비율에 영향을 줄 수 있습니다. |

## 출력

| 매개변수 | 데이터 유형 | 설명                                                                                                                     |
| -------- | ----------- | ------------------------------------------------------------------------------------------------------------------------ |
| `latent` | `LATENT`    | 출력은 지정된 좌표와 크기 조정 옵션에 따라 'samples_to'와 'samples_from' 잠재 표현의 특성을 혼합한 합성 잠재 표현입니다. |
